System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpModule

This module provides authorization services against file-system access-control lists (ACLs). When the mode attribute of the authentication configuration element is set to Windows so that the is being used for the application, the module ensures that the requesting user is allowed read or write access to the resource, depending on the request verb, before executing the request. For more information, see the method.

Verifies that the user has permission to access the file requested. This class cannot be inherited.

- Constructor

  This constructor is not intended to be called from application code.

  ASP.NET calls this constructor to create an instance of the class. After calling the constructor, it calls the method to initialize the new object.

  Creates an instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` `` ``

  The method checks to see whether the current user, represented by a Windows access token, is granted access to the requested file in the file-system access-control lists (ACLs). The virtual path is mapped to the physical file-system path before the check is made.

  If the HTTP verb used to make the request is GET, POST, or HEAD, the method checks for read access to the file. If any other verb is used, the method checks for read/write permission to the file.

  Security Note If the module is not defined in the httpModules configuration section for the application, the module always returns true.

  Determines whether the user has access to the requested file.

  true if the current Windows user represented by has access to the file using the specified HTTP verb or if the module is not defined in the application's configuration file; otherwise, false.

  The virtual path to the file. A Windows access token representing the user. The HTTP verb used to make the request.
- Method
  System.Void

  This method is not intended to be called from application code.

  Releases all resources, other than memory, used by the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is not intended to be called from application code.

  The method ensures that the is included in the processing of the event.

  Initializes the object.

  The current instance. 1.0.5000.0 2.0.0.0